V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
vue.js
iamqiwei
V2EX  ›  Vue.js

使用 vue-cli 创建的项目删掉 node_modules 之后再 npm i 会提示找不到 Python ,为什么 vue create 的时候不会有问题

  •  
  •   iamqiwei · 27 天前 · 769 次点击

    dart-sass 会用到 python

    7 条回复    2021-04-23 09:53:59 +08:00
    xinJang
        1
    xinJang   27 天前 via Android
    不止这个报错的。你安装完 python 会发现死活安装不了微软的 tool(具体名字忘了),然后 npm install 死活报错,网上那些解决方案安装什么 tools 那条命令对我无效(win10 最新专业版) 不知道是我的问题还是通病
    我这边有两个解决方案
    1.linux 子系统安装 nodejs 进行打包
    2.安装 visual studio 2015(安装完占用 4g +)
    手机打字 见谅
    duan602728596
        2
    duan602728596   27 天前
    应该下载的是 sass 而不是 dart-sass,dart-sass 不会用到 python,因为它已经被编译成 js 了。
    iamqiwei
        3
    iamqiwei   26 天前
    @xinJang 我觉得可能需要科学上网,而且还是真全局代理那种才能装
    demonlin
        4
    demonlin   26 天前   ❤️ 1
    npm i 时添加 --legacy-peer-deps 参数。
    7075
        5
    7075   26 天前
    yarn 不香吗
    xinJang
        6
    xinJang   25 天前
    @iamqiwei 并不是代理的问题,我在子系统下也没开代理就一切正常
    就是 win 下进行 npm install 需要 npm install --global --production windows-build-tools 安装微软的某些环境,但这个命令下载的组件又不适用与 win10 64 位,最后只能自己全量安装了微软开发工具才解决
    iamqiwei
        7
    iamqiwei   25 天前
    @xinJang 好蛋疼
    关于   ·   帮助文档   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2845 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 16ms · UTC 10:32 · PVG 18:32 · LAX 03:32 · JFK 06:32
    ♥ Do have faith in what you're doing.